gedit (48.1-8) experimental; urgency=medium

  * Team upload
  * Build with a libpeas that uses libgirepository-2.0.
    (Helps: #1099164, #1118363)
    - Add patch from the upstream Gitlab to enable that.
      Thanks to Mubashshir
  * Upload to experimental until we are ready for the pygobject 3.54
    transition

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Oct 2025 13:39:48 +0100

gedit (48.1-7) unstable; urgency=medium

  * Remove !nocheck annotation from Build-Depends: desktop-file-utils
    (Closes: #1116739)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 30 Sep 2025 11:19:10 -0400

gedit (48.1-6) unstable; urgency=medium

  * debian/watch: Convert to Version: 5 and update download location

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 20:44:47 -0400

gedit (48.1-5) unstable; urgency=medium

  * Team upload
  * d/control: Add missing Build-Depends on gir1.2-*-dev packages.
    dh_girepository doesn't diagnose these because they're only needed
    for a private typelib, but they're still necessary.
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 07 Sep 2025 21:38:26 +0100

gedit (48.1-4) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 14:44:38 +0200

gedit (48.1-3) unstable; urgency=medium

  * Rebuild against latest libgedit-tepl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 08:10:22 -0400

gedit (48.1-2) unstable; urgency=medium

  * Add Breaks/Replaces since gedit-plugin-text-size is installed here now

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Feb 2025 12:35:56 -0500

gedit (48.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1072541)
    - The Python console, External Tools, & Snippets are no longer provided
      (Closes: #736229, #781096, #856950, #953676, #1085107, #1085602)
  * Update homepage, debian/upstream/metadata & debian/watch
  * Bump minimum glib and tepl
  * Add lintian override for gedit shipping python override
    without a Python dependency
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 17:44:27 -0500

gedit (46.2-3) unstable; urgency=medium

  * debian/postinst: Remove gedit as a gnome-text-editor alternative
    in the alternatives system now that gnome-text-editor is an actual
    program, provided in the gnome-text-editor package (Closes: #1057184)
    (LP: #2062418)

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 18 Apr 2024 17:18:47 -0400

gedit (46.2-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 18:51:14 -0400

gedit (46.1-3) unstable; urgency=medium

  * Stop using debian/control.in
  * debian/control: Update minimum required meson version to 0.59,
    following upstream

 -- Amin Bandali <bandali@ubuntu.com>  Fri, 17 Nov 2023 08:01:20 -0500

gedit (46.1-2) experimental; urgency=medium

  * Team upload
  * Don't hard-code myself in Uploaders in debian/control.in,
    since I'm already in GNOME team and it might cause a duplicate:
    WARNING: debian experimental main source: package gedit has listed
    uploader Amin Bandali <bandali@ubuntu.com> twice
    - debian/control.in

 -- Amin Bandali <bandali@ubuntu.com>  Sat, 28 Oct 2023 10:17:18 -0400

gedit (46.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Add myself to uploaders
  * debian/control.in: Adjust dependencies following upstream
  * gedit-dev.install: Upstream no longer generates *.vapi Vala files
  * debian/control.in: Drop valac from Build-Depends

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 19 Oct 2023 10:25:43 -0400

gedit (44.2-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 19 Jan 2023 13:25:50 -0500

gedit (44.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum tepl to 6.4
  * Update debian/upstream/metadata
  * Update standards version to 4.6.1, no changes needed.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 06 Jan 2023 09:49:34 -0500

gedit (43.2-2) unstable; urgency=medium

  * debian/control.in: Add Depends to gedit-dev to match its pkgconfig file

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Nov 2022 08:23:17 -0500

gedit (43.2-1) unstable; urgency=medium

  * New upstream release
  * Drop patch applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Nov 2022 08:06:13 -0500

gedit (43.1-1) unstable; urgency=medium

  * New upstream release
    - This drops some changes from gedit 41 as part of reteplification
  * debian/control.in: Build-Depend on amtk and tepl
  * Drop the openlinks patch since the openlinks plugin has been removed
  * Cherry-pick patch to fix the API version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 17 Nov 2022 16:03:18 -0500

gedit (42.2-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13
  * debian/control.in: Set Rules-Requires-Root: no

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Jul 2022 14:20:25 -0400

gedit (42.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 27 May 2022 11:07:04 -0300

gedit (42.0-2) unstable; urgency=medium

  * debian/control.in: Update package short descriptions

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 02 Apr 2022 08:05:02 -0400

gedit (42.0-1) unstable; urgency=medium

  * New upstream release
    - Display name has been changed back from Text Editor to gedit
  * Drop nonlinux build patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Apr 2022 16:13:12 -0400

gedit (41.0-3) unstable; urgency=medium

  * debian/patches/gitlab_openlinks_fix.patch:
    - don't try to convert an array of gunicode to a gchar, fix the build
      fixed on s390x

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 02 Mar 2022 13:34:07 +0100

gedit (41.0-2) unstable; urgency=medium

  * Restore fix_ftbfs_nonlinux.patch: accidentally left out of 41.0 release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Feb 2022 12:29:08 -0500

gedit (41.0-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches except our Debian multiarch patch: applied in new release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Feb 2022 09:28:53 -0500

gedit (40.1-3) unstable; urgency=medium

  * d/control.in: Add libglib2.0-dev and libgtk-3-dev dependencies to gedit-dev
  * d/p/fix_ftbfs_nonlinux.patch: Fix FTBFS on non-linux architecrures
    (Closes: #996916)
  * debian/control.in: Bump Standards-Version to 4.6.0 (no further changes)
  * debian/control.in: Move -doc packages from BDI to BD
  * debian/control.in: Add libxml2-utils to the BD, xmllint is detected at
    build time

 -- Laurent Bigonville <bigon@debian.org>  Mon, 22 Nov 2021 11:19:49 +0100

gedit (40.1-2) unstable; urgency=medium

  * debian/control.in: Build-Depend on dh-sequence-gir, -gnome, and -python3
  * debian/rules: Simplify a bit
  * Release to unstable. Closes: #993430

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 01 Sep 2021 07:35:24 -0400

gedit (40.1-1) experimental; urgency=medium

  [ Olivier Tilloy ]
  * New upstream release
  * debian/patches/upstream-fa587e0-deteplification.patch: backport upstream
    commit from master branch to remove the dependency on Tepl
    (https://gitlab.gnome.org/GNOME/gedit/-/commit/fa587e0)
  * debian/control{,.in}:
    - remove build dependency on libtepl-5-dev and libamtk-5-dev
    - bump Standards-Version to 4.5.1 (no changes required)

  [ Iain Lane ]
  * control: BD on gnome-pkg-tools 22.
    To support the new GNOME versioning scheme properly
  * control: trivial: Add BD on libxml2-dev.
    This seems to be pulled in transitively by something else, but it's a
    direct requirement of gedit, so let's BD on it directly.

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 23 Jun 2021 10:22:27 +0100

gedit (3.38.1-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Mon, 07 Dec 2020 18:13:34 +0100

gedit (3.38.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control{,.in}:
    - Bump libglib2.0-dev build dependency requirement to 2.64
    - Bump libgspell-1-dev build dependency requirement to 1.0
    - Bump libgtk-3-dev build dependency requirement to 3.22
    - Bump meson build dependency requirement to 0.53
    - Upgrade the libtepl-4-dev build dependency to libtepl-5-dev
    - Remove the following build dependencies: libuchardet-dev and libx11-dev
    - Add the following runtime dependency to the gedit-dev package, to
      reflect the contents of the pc file and the public headers: libtepl-5-dev
  * debian/patches/08_multiarch_fallback.patch: update patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 07 Oct 2020 09:55:52 +0100

gedit (3.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 24 Mar 2020 19:10:28 +0100

gedit (3.36.0-3) unstable; urgency=medium

  * debian/rules: Still generate the shlibs file for the private library so
    the plugins can link against it

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Mar 2020 15:11:01 +0100

gedit (3.36.0-2) unstable; urgency=medium

  * debian/rules: Fix FTBFS when only building arch any packages, the
    externaltools scripts are in an arch:all package

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Mar 2020 13:38:16 +0100

gedit (3.36.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control.in: Bump libtepl-4-dev to 4.4
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Bump debhelper version to 12
  * debian/control.in: Remove unneeded X-Python3-Version field
  * debian/control.in: Add libatk1.0-doc and libpeas-doc to the BDI so the
    remaining links in the documentation are properly resolved
  * debian/rules: Override dh_makeshlibs to exclude gedit private lib path
  * debian/rules: Remove the -L option from dh_shlibdeps overrides, there is
    not package called gedit-3.14
  * debian/rules: Make the scripts of externaltools plugin executable

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Mar 2020 13:01:54 +0100

gedit (3.35.90-1) experimental; urgency=medium

  [ Olivier Tilloy ]
  * New upstream release
  * debian/control.in:
    - drop the build dependency on libxml2-dev
    - add build dependencies on libtepl-4-dev, libamtk-5-dev and libuchardet-dev
    - drop the build dependency on libsoup2.4-dev (needed only for the
      checkupdate plugin on Windows)
  * debian/rules: rename the 'documentation' build option to 'gtk_doc'

  [ Will Thompson ]
  * debian/control.in: build-depend on libgtksourceview-4-doc to match the
    library version used since 3.31.90-1.

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 17 Feb 2020 15:50:20 +0000

gedit (3.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Sep 2019 16:02:08 +0200

gedit (3.33.90-1) experimental; urgency=medium

  [ Olivier Tilloy ]
  * New upstream release
  * debian/gedit.install: do not install gedit-bugreport.sh (removed upstream)

  [ Iain Lane ]
  * Drop 01_gedit-bugreport-location.patch. It was patching the location of
    the bugreport script, which has been dropped.
  * gitlab_idle_handling.patch,
    build-Reintroduce-enable-gvfs-metadata-option.patch: Drop. These have been
    merged upstream.

 -- Iain Lane <laney@debian.org>  Tue, 20 Aug 2019 12:31:23 +0100

gedit (3.32.0-3) experimental; urgency=medium

  [ Andrea Azzarone ]
  * d/p/build-Reintroduce-enable-gvfs-metadata-option.patch:
    - Reintroduce enable-gvfs-metadata option. (LP: #1822753)
  * d/p/gitlab_idle_handling.patch:
    - Patch refreshed automatically by gbp pq import/export.
  * d/p/series:
    - Added d/p/build-Reintroduce-enable-gvfs-metadata-option.patch

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Tue, 16 Apr 2019 16:19:15 +0100

gedit (3.32.0-2) experimental; urgency=medium

  * debian/oatches/gitlab_idle_handling.patch:
    - use gitlab pr#34's patch to fix an incorrect handling of idle
      callbacks, thanks Andrea Azzarone (lp: #1646762)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Apr 2019 11:32:07 +0200

gedit (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Mar 2019 21:10:18 -0400

gedit (3.31.92-1) experimental; urgency=medium

  * New upstream release
    - Fix segfault in open document selector (lp: #1817459)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 05 Mar 2019 17:09:34 +0100

gedit (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Build with meson
  * Switch from GtkSourceView 3 to GtkSourceView 4
  * Enable parallel builds again now that we don't use intltool
  * debian/gedit-common.install: gconf conversion file has been dropped
  * debian/gedit.docs: README is now README.md
  * Add dh_shlibdeps override for gedit's private library
  * Drop patches applied in new release:
    - 03_no_gnu_gettext.patch
    - document-selector-make-search-caseless.patch

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 03 Feb 2019 19:31:54 -0500

gedit (3.30.2-2) unstable; urgency=medium

  * debian/patches/document-selector-make-search-caseless.patch:
    - 'document selector: make search caseless', it makes the filter in
      the open document work in a more logical way (lp: #1800179)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 Dec 2018 16:32:49 +0100

gedit (3.30.2-1) unstable; urgency=medium

  * New upstream release (LP: #1799053)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 21 Oct 2018 09:46:53 -0400

gedit (3.30.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 24 Sep 2018 14:00:22 -0400

gedit (3.30.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 02 Sep 2018 19:40:34 -0400

gedit (3.29.90-1) experimental; urgency=medium

  * New upstream development release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Aug 2018 08:49:51 -0400

gedit (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 12 Apr 2018 13:46:28 -0400

gedit (3.28.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 13 Mar 2018 07:49:10 -0400

gedit (3.27.92-1) unstable; urgency=medium

  * New upstream release candidate
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 04 Mar 2018 13:32:33 -0500

gedit (3.27.90-1) experimental; urgency=medium

  * New upstream release
  * Drop 0004-Allow-close-button-in-the-left-corner.patch: Applied
  * debian/gedit.install: Update AppStream metadata install location

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 07 Feb 2018 10:27:19 -0500

gedit (3.22.1-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Bump minimum GTK+ to 3.21.3 per configure.ac
  * Cherry-pick 0004-Allow-close-button-in-the-left-corner.patch:
    - Fix window buttons when they are set to the left and side panel
      is enabled

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 24 Jan 2018 16:25:48 -0500

gedit (3.22.1-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Explicitly build without -Bsymbolic-functions to fix plugin issues

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 11:36:32 -0500

gedit (3.22.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/09_fix_plugin_load_segfault.patch, merged upstream.
  * Add missing dh-python build-dependency.
  * Bump Standards-Version to 4.0.1.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Aug 2017 21:39:20 +0200

gedit (3.22.0-2) unstable; urgency=medium

  [ Pietro Battiston ]
  * Add debian/patches/09_fix_plugin_load_segfault.patch from upstream
    (Closes: #770153)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 02 Dec 2016 17:50:37 +0100

gedit (3.22.0-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Bump dh compat to 10 (automatic dh-autoreconf)
  * Add explicit gnome-common build-dependency (Closes: #837862)
  * Remove '*.la' and '__pycache__' files which are not to be shipped.
  * Remove usr/bin/gnome-text-editor symlink as installed by
    the upstream build system, as that symlink is already being
    registered in the debian alternatives system in postinst instead of
    shipped.
  * Use --fail-missing

  [ Michael Biebl ]
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 18 Sep 2016 21:18:07 +0200

gedit (3.21.90-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Sep 2016 13:33:19 +0200

gedit (3.21.90-1) experimental; urgency=medium

  * New upstream beta release.
  * Update (build-)dependencies according to configure.ac changes:
    - bump gtksourceview to >= 3.21.2
  * Have quilt refresh debian/patches/01_gedit-bugreport-location.patch

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 21 Aug 2016 23:00:08 +0200

gedit (3.20.2-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Drop gnome-icon-theme from the dependencies, do not
    force an icon theme and rely on the one installed by the metapackages
  * Call dh_python3 /usr/share/gedit/plugins and ensure proper python
    dependency for the gedit-common package

  [ Jeremy Bicha ]
  * Switch from cdbs to dh
  * Enable all hardening flags

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Jun 2016 01:08:34 +0200

gedit (3.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 May 2016 22:23:30 +0200

gedit (3.20.1-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - Drop libenchant-dev (>= 1.2.0)
    - Drop iso-codes (>= 0.35)
    - Add (replacement for above) libgspell-1-dev (>= 0.2.5)
    - Bump libgtk-3-dev to (>= 3.19.0)
    - Bump libgtksourceview-3.0-dev to (>= 3.19.4)
  * Bump Standards-Version to 3.9.7
  * Fix debian/patches/08_multiarch_fallback.patch to apply again
  * Have quilt refresh remaining patches.
  * Add missing libsoup2.4-dev build-dependency
  * gedit-common: don't ship logo directory, now built into gresource.

  [ Rico Tzschichholz ]
  * gedit-common: Install application icon

  [ Michael Biebl ]
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Apr 2016 16:15:06 +0200

gedit (3.18.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump dependency on libgtksourceview-3.0-dev to (>= 3.18).

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Jan 2016 01:50:54 +0100

gedit (3.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 12 Nov 2015 14:59:54 +0100

gedit (3.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Oct 2015 15:19:30 +0200

gedit (3.18.0-1) unstable; urgency=medium

  [ Josselin Mouette ]
  * Remove Debian menu entry.

  [ Andreas Henriksson ]
  * New upstream release.
  * Update (build-)dependencies according to configure.ac changes:
    - bump gtksourceview >= 3.17.3
    - bump libpeas >= 1.14.1
    - bump glib >= 2.44
  * Update debian/patches/08_multiarch_fallback.patch to apply

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 Sep 2015 13:40:35 +0200

gedit (3.16.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Aug 2015 09:32:42 +0200

gedit (3.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches, dropped the ones merged upstream.
  * Drop obsolete Breaks from pre-wheezy.
  * Update dependencies as per configure.ac:
    - Bump libglib2.0-dev to (>= 2.39.5).
    - Bump libgtk-3-dev to (>= 3.16).
    - Bump libgtksourceview-3.0-dev to (>= 3.16).
  * Add explicit Depends on gir1.2-glib-2.0, gir1.2-gtk-3.0, gir1.2-pango-1.0
    and gir1.2-gtksource-3.0 as used by the various plugins.
    Those dependencies are not added via ${gir:Depends}.
  * Bump Standards-Version to 3.9.6.
  * Fix DEB_DH_GIREPOSITORY_ARGS_gedit to use the multiarch paths.

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Jun 2015 15:44:58 +0200

gedit (3.14.0-3) unstable; urgency=medium

  * 10_external-tools_missing_column.patch: patch from upstream git.
    Fixes a typo in the external tools plugin.
  * 11_quick-open_crash_IM.patch: patch from upstream git. Fix a bug in
    the quick-open plugin that makes the input manager crash.
  * 12_send-to-fpaste_path.patch: patch from upstream git. Fix python3
    shebang.
  * 13_window_size.patch: patch from upstream git. Increase the default
    window size.
  * 14_css_leak.patch: patch from upstream git. Avoid a GFile leak when
    loading a nonexistent CSS.
  * 15_line_ending.patch: patch from upstream git. Bring back the
    ability to set line endings.
  * 16_highlightmode_dialog.patch: patch from upstream git. Fix the
    language selector.
  * 17_various_leaks.patch: patch from upstream git. Fix several memory
    leaks.
  * 18_print-preview_typo.patch: patch from upstream git. Fix a typo in
    the print preview.

 -- Josselin Mouette <joss@debian.org>  Mon, 01 Dec 2014 21:18:53 +0100

gedit (3.14.0-2) unstable; urgency=medium

  * Update Build-Depends as per configure.ac:
    - Bump libgtk-3-dev to (>= 3.14.0)
    - Bump libgtksourceview-3.0-dev to (>= 3.14.0)
  * Update the gedit-dev Depends accordingly.

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Sep 2014 21:32:39 +0200

gedit (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 19:47:10 +0200

gedit (3.13.91-1) experimental; urgency=medium

  * Drop alternative explicit valac-0.24 build-dependency
  * New upstream development release
  * Bump build-dependencies according to configure.ac changes:
    + libgtk-3-dev (>= 3.13.6)
    + libgtksourceview-3.0-dev (>= 3.13.4)
    + valac (>= 0.25.1)
  * Update debian/patches/01_gedit-bugreport-location.patch
    to apply against new DBus-activatable name of desktop file.
  * Drop debian/patches/0001-Hold-ref-to-menus-stored-in-app.patch
    - now included in new upstream release.
  * Refresh remaining patches.
  * Update debian/gedit.install for new DBus-activatable
    .desktop and .appdata.xml file names.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 13 Sep 2014 23:16:28 +0200

gedit (3.12.2-2) unstable; urgency=medium

  * debian/patches/0001-Hold-ref-to-menus-stored-in-app.patch
    + Added. Correctly reference to menu widgets retrieved from the builder,
      fixes crash with new gtk. (From upstream git)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 01 Sep 2014 10:02:56 +0200

gedit (3.12.2-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Build depend on python3 rather than python3-dev. Closes: #751496.

  [ Andreas Henriksson ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 26 Aug 2014 16:04:32 -0700

gedit (3.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Apr 2014 10:04:38 +0200

gedit (3.12.0-1) experimental; urgency=medium

  * Add valac-0.24 build-dependency for vala bindings generation.
  * debian/gedit-dev.install: install vapi and deps.
  * gedit: install appdata file.
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 26 Mar 2014 19:41:10 +0100

gedit (3.11.90-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Depends against python3-gi-cairo instead of
    python-gi-cairo as we are using python3 for the plugins

  [ Andreas Henriksson ]
  * New upstream release.
  * Bump build-dependencies according to configure.ac:
    - intltool >= 0.50.1
    - gtksourceview 3.11.2
    - glib 2.39.5
    - gtk+ 3.11.6
  * Have quilt refresh debian/patches/08_multiarch_fallback.patch

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 19 Feb 2014 23:11:49 +0100

gedit (3.10.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in:
    - Bump Standards-Version to 3.9.5 (no further changes)
    - Update Homepage URL
  * Drop debian/gedit.lintian-overrides: Not needed anymore

 -- Laurent Bigonville <bigon@debian.org>  Sun, 16 Feb 2014 23:35:05 +0100

gedit (3.10.1-1) experimental; urgency=low

  * New upstream release.
  * Bump build-dependencies according to configure.ac:
    - libglib2.0-dev to >= 2.37.5
    - libgtk-3-dev to >= 3.9.0
    - libgtksourceview-3.0-dev to >= 3.9.5
  * Refresh patches to apply cleanly:
    - debian/patches/08_multiarch_fallback.patch
    - debian/patches/03_no_gnu_gettext.patch
  * Drop debian/patches/snippets-cairo.patch
    - now included in upstream release

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Oct 2013 17:22:59 +0200

gedit (3.8.3-4) unstable; urgency=low

  [ Andreas Henriksson ]
  * Add debian/patches/snippets-cairo.patch (Closes: #724499)
    - patch from upstream git to drop unused cairo import

  [ Michael Stummvoll ]
  * Make gedit depend on gnome-icon-theme-symbolic (Closes: #676216)
    - Search entry uses go-{up,down}-symbolic icons...

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 06 Oct 2013 21:56:59 +0200

gedit (3.8.3-3) unstable; urgency=low

  * Upload to unstable.
  * Properly exclude gedit plugin directory from dh_makeshlibs.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Aug 2013 17:41:20 +0200

gedit (3.8.3-2) experimental; urgency=low

  [ Jeremy Bicha ]
  * debian/rules:
    - Drop obsolete --disable-scrollkeeper configure flag
    - Fix install directories from last upload

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 01 Aug 2013 11:46:14 +0200

gedit (3.8.3-1) experimental; urgency=low

  [ Thomas Bechtold ]
  * New upstream release.

  [ Jeremy Bicha ]
  * Bump dh compat to 9 and update install directories
  * Mark gedit-dev Architecture: any
  * debian/patches/08_multiarch_fallback.patch:
    - Load plugins from the non-multiarch directory too for
      compatibility with existing packages

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 31 Jul 2013 15:00:49 +0200

gedit (3.8.0-1) experimental; urgency=low

  * New upstream release

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Thu, 28 Mar 2013 08:58:54 +0100

gedit (3.7.6-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * Merge with Ubuntu
  * New upstream release.
  * debian/control:
    - Use standards version 3.9.4
    - Bump build-depends on libglib2.0-dev, libgtk-3-dev, libpeas-dev, and
      libgtksourceview-3.0-dev
  * debian/control.in, debian/rules:
    - Use Python 3
  * debian/patches/01_gedit-bugreport-location.patch: Refreshed

  [ Thomas Bechtold ]
  * New upstream release.

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Remove libsm and libice from build depends, they are no longer
      needed.
    + Bump gedit-dev's dependencies.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 24 Mar 2013 11:01:12 +0100

gedit (3.6.2-1) experimental; urgency=low

  [ Josselin Mouette ]
  * gedit.prerm: don’t remove the alternative when upgrading.

  [ Andreas Henriksson ]
  * New upstream release.
    - bump libgtk-3-dev build-dependency to >= 3.6.0.
    - update 01_gedit-bugreport-location.patch to apply.
    - add 03_no_gnu_gettext.patch, stolen from ubuntu.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 10 Dec 2012 00:58:45 +0100

gedit (3.4.2-1) unstable; urgency=low

  * New upstream release.
  * Remove debian/patches/02_privlib.patch, merged upstream.
  * Suggest gedit-plugins. Closes: #640734

 -- Michael Biebl <biebl@debian.org>  Thu, 24 May 2012 18:25:01 +0200

gedit (3.4.1-2) unstable; urgency=low

  * Move libgedit-private into a package-private directory. This library is
    not supposed to be installed system wide.
  * Use dh-autoreconf to update the build system.

 -- Michael Biebl <biebl@debian.org>  Sun, 22 Apr 2012 21:33:19 +0200

gedit (3.4.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in:
    - Build-depend on yelp-tools instead of gtk-doc-tools
    - Bump minimum GTK depends
    - Drop obsolete scrollkeeper depends
    - Standards-Version 3.9.3
  * debian/gedit-common.install: Updated

  [ Michael Biebl ]
  * debian/patches/01_gedit-bugreport-location.patch: Refreshed.
  * debian/gedit.install: Install introspection override file.
  * debian/rules: Call dh_python2 for the modules in public directories.

 -- Michael Biebl <biebl@debian.org>  Sun, 22 Apr 2012 20:18:57 +0200

gedit (3.2.6-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Depend on python-gi-cairo. Closes: #648913.

  [ Michael Biebl ]
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 04 Jan 2012 14:56:25 +0100

gedit (3.2.5-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Replace python-gobject by python-gi.

  [ Michael Biebl ]
  * New upstream release.
  * Fix lintian override for menu-icon-missing.
  * Switch to dh_python2.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Dec 2011 00:11:44 +0100

gedit (3.2.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in:
    - Drop Recommends python-gnome2.
    - Bump Build-Depends on libgtk-3-dev to (>= 3.1.6).
    - Bump Build-Depends on libpeas-dev to (>= 1.1.0).
    - Bump (Build-)Depends on python-gobject(-dev) to (>= 3.0.0).
  * debian/watch:
    - Track .xz tarballs.

 -- Michael Biebl <biebl@debian.org>  Sun, 20 Nov 2011 22:44:36 +0100

gedit (3.0.6-2) unstable; urgency=low

  * debian/script: Fix path to gedit-bugreport script.

 -- Michael Biebl <biebl@debian.org>  Sat, 23 Jul 2011 00:04:43 +0200

gedit (3.0.6-1) unstable; urgency=low

  [ Mirco Bauer ]
  * Added gir1.2-pango-1.0 and gir1.2-gtksource-3.0 to dependencies as used by
    pythonconsole, externaltools and snippets plugins.

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Update build dependencies and dependencies.
  * debian/gedit.dirs:
    - Removed, not needed.

  [ Josselin Mouette ]
  * 90_autoreconf.patch, 99_ltmain_as-needed.patch: dropped.
  * Break gedit-plugins < 2.91.

  [ Michael Biebl ]
  * debian/watch: Switch to .bz2 tarballs.
  * New upstream release.
  * debian/control.in:
    - Remove old Replaces which is no longer necessary.
    - Bump Standards-Version to 3.9.2. No further changes.
    - Use ${gir:Depends} instead of hard coding the dependencies on the gir
      packages. Closes: #627978
    - Remove Build-Depends on libzeitgeist-dev for now as the runtime
      dependencies of that plugin are a bit heavy weight.
  * Bump debhelper compatibililty level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * Rely on cdbs to call dh_girepository:
    - Bump Build-Depends on cdbs to (>= 0.4.90).
    - Pass private directories to dh_girepository to look for dependencies.

 -- Michael Biebl <biebl@debian.org>  Fri, 22 Jul 2011 19:40:13 +0200

gedit (3.0.0-1) experimental; urgency=low

  * New upstream release
  * Updated build-dependencies
  * Added gobject introspection integration
  * debian/patches/03_python_path.patch
    debian/patches/04_link_against_libICE.patch
    debian/patches/10_pt_BR_po.patch:
    - Dropped obsolete patches
  * debian/patches/90_autoreconf.patch
    debian/patches/99_ltmain_as-needed.patch:
    -  Refreshed

 -- Mirco Bauer <meebey@debian.org>  Sun, 10 Apr 2011 20:29:56 +0200

gedit (2.30.4-2) unstable; urgency=low

  * Recommend yelp. Closes: #600055.
  * 10_pt_BR_po.patch: fix an important mistake in the Brazilian
    Portuguese translation. Closes: #603502.

 -- Josselin Mouette <joss@debian.org>  Mon, 24 Jan 2011 21:18:12 +0100

gedit (2.30.4-1) unstable; urgency=low

  * New upstream translation release.
  * 90_autoreconf.patch: updated for the new version.

 -- Josselin Mouette <joss@debian.org>  Sat, 02 Oct 2010 13:55:04 +0200

gedit (2.30.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/patches/04_link_against_libICE.patch
    - Link against libICE so we don't fail with stricter linkers like
      binutils-gold. Closes: #554483
  * debian/patches/90_autoreconf.patch
    - Refresh as 04_link_against_libICE.patch changes configure.ac.
  * debian/control.in
    - Add Vcs-* fields.
    - Drop Build-Depends on dpkg-dev (>= 1.13.19) as even oldstable has a more
      recent version.
    - Bump Standards-Version to 3.9.0. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Jul 2010 02:53:39 +0200

gedit (2.30.2-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/90_autoreconf.patch:
      - Regenerated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 19 Apr 2010 10:34:50 +0200

gedit (2.30.0-1) unstable; urgency=low

  * New upstream release.
    - End of line conversion fixes. Closes: #480411.
  * debian/control.in:
    - Standards-Version is 3.8.4, no changes needed.
    - Build-Depend:
      - Bump to libglib2.0-dev (>= 2.23.1),
        libgtksourceview2.0-dev (>= 2.9.7), libgtk2.0-dev (>= 2.19.0),
        python-gtksourceview2 (>= 2.9.2) and gnome-doc-utils (>= 0.9.0).
      - Add libx11-dev.
      - Drop libattr1-dev.
  * Switch to source format 3.0 (quilt).
    - Add debian/source/format.
    - Drop quilt from Build-Depends.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk include.
  * debian/patches/02_system_elementtree.patch,
    debian/patches/80_not_using_localmodlibs.patch:
    - Removed, applied upstream.
  * debian/patches/03_python_path.patch,
    debian/patches/90_autoreconf.patch:
    - Refreshed.
  * debian/rules:
    - Remove old lines referring ElementTree.py.

 -- Luca Bruno <lethalman88@gmail.com>  Wed, 07 Apr 2010 08:22:36 +0200

gedit (2.28.3-2) unstable; urgency=low

  * debian/patches/80_not_using_localmodlibs.patch:
    - Patch from Sebastien Bacher to fix the build with Python 2.6
      as the default interpreter. Closes: #571488.
  * debian/control.in:
    - Standards-Version is 3.8.3, no changes needed.
    - Build depend on quilt.
  * debian/rules:
    - Switch to quilt for patch management.
  * debian/patches/03_python_path.patch:
    - Also patch Makefile.am, so that the changes to Makefile.in are
      preserved if we regenerate files.
  * debian/patches/90_autoreconf.patch:
    - Run autoreconf on top of 80_not_using_localmodlibs.patch.
  * debian/patches:
    - Refresh all patches.
  * debian/gedit.lintian-overrides,
    debian/gedit.lintian,
    debian/rules:
    - Rename gedit.lintian as gedit.lintian-overrides so that dh_lintian
      installs it automatically. Thus stop installing it in debian/rules.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 04 Mar 2010 10:02:35 +0100

gedit (2.28.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 20 Dec 2009 03:12:33 +0100

gedit (2.28.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/02_system_elementtree.patch,
    debian/rules:
    - Don't install code copies of ElementTree.py, use the system one
      instead. Closes: #555344.
  * debian/control.in:
    - Bump python-dev build dependency and XS-Python-Version to >= 2.5
      for the availability of ElementTree.py.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 11 Nov 2009 22:54:27 +0100

gedit (2.28.1-1) unstable; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 10 Nov 2009 15:09:22 +0100

gedit (2.28.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * New upstream release.
  * Bump build-dep on GTK+.

  [ Andrea Veri ]
  * debian/copyright:
    - added missing copyright headers.

 -- Josselin Mouette <joss@debian.org>  Fri, 25 Sep 2009 20:16:26 +0200

gedit (2.26.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Break seahorse < 2.24 and seahorse-plugins < 2.26 because of the
    crash upon exit.
  * Remove scrollkeeper dependency.

  [ Emilio Pozuelo Monfort ]
  * debian/patches/03_python_path.patch: add description and upstream
    bug link.

  [ Loïc Minier ]
  * Drop trailing whitespace in control.

  [ Andrea Veri ]
  * New upstream release.
  * debian/control.in:
    - update Standards-version to 3.8.3. No changes needed.

  [ Emilio Pozuelo Monfort ]
  * debian/gedit.lintian:
    - Update the manpage override to match the lintian warning.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 15 Sep 2009 20:25:46 +0200

gedit (2.26.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Add libglib2.0-doc, libgtk2.0-doc and libgtksourceview2.0-doc to
    b-d-i to ensure proper xrefs.

  [ Luca Bruno ]
  * New upstream release.
  * debian/control.in:
    + Build-Depends version bumps:
      - libgtksourceview2.0-dev to 2.4.0
      - liblibglib2.0-dev to 2.18.0
      - intltool to 0.40.0
    + Update Standards-Version to 3.8.1. No changes needed.
  * debian/patches:
    + Removed 02_externaltools_locale.patch, applied upstream.
    + Updated 03_python_path.patch to use a modified version of the
      upstream patch.
  * debian/gedit.install:
    + Plugins ui files are now installed under share/ in gedit-common.
    + Install usr/lib/gedit-2/plugin-loaders.

  [ Emilio Pozuelo Monfort ]
  * debian/copyright: point to GPL-2 rather than GPL.
  * debian/control.in: remove unneeded Section entries, they are
    inherited from the source.

  [ Josselin Mouette ]
  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Wed, 22 Apr 2009 23:48:16 +0200

gedit (2.24.3-1) unstable; urgency=low

  * 02_externaltools_locale.patch: new patch. Use LC_MESSAGES to
    determine the current language for the external tools.
    Closes: #510572.
  * New upstream release.
  * 03_python_path.patch: new patch. Pass GEDIT_PLUGINDIR
    to PySys_SetArgv as a big hackish workaround to CVE-2009-0314.
    Closes: #513513.

 -- Josselin Mouette <joss@debian.org>  Sun, 15 Mar 2009 12:17:40 +0100

gedit (2.24.2-1) experimental; urgency=low

  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Sun, 04 Jan 2009 10:16:32 +0100

gedit (2.24.1-1) experimental; urgency=low

  [ Loic Minier ]
  * Replace homepage pseudo-field in description with a real source field in
    control.
  * Add note that dh_pysupport call should be made package specific or moved
    to a different target.

  [ Josselin Mouette ]
  * Pass -pgedit to dh_pysupport.
  * New upstream release.
    + Document you need to escape backslashes. Closes: #361399.
  * Massive update to (build-)dependencies, yay.
  * Update list of installed files.
  * Standards version is 3.8.0.
  * Move gedit-bugreport.sh to /usr/share/gedit-2 and without extension.
  * Provide a bug script that executes it for reportbug.
  * 01_gedit-bugreport-location.patch:
    + Update for the new location.
    + Only patch the .in.in file, the other is always overwritten.
  * 99_ltmain_as-needed.patch: updated to apply.
  * Update gedit.menu to the new menu structure.

 -- Josselin Mouette <joss@debian.org>  Fri, 14 Nov 2008 15:31:20 +0100

gedit (2.22.3-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/01_gedit-bugreport-location.patch,
      debian/patches/99_ltmain_as-needed.patch:
      - Updated to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 29 May 2008 09:52:41 +0200

gedit (2.22.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/01_gedit-bugreport-location.patch,
      debian/patches/99_ltmain_as-needed.patch:
      - Updated to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 09 Apr 2008 08:47:37 +0200

gedit (2.22.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/control.in:
      - Update build dependencies and dependencies.
      - Update Standards-Version to 3.7.3, no additional changes needed.
    + debian/patches/99_ltmain_as-needed.patch:
      - Updated to apply cleanly again.
    + debian/patches/01_gedit-bugreport-location.patch,
      debian/gedit.install:
      - Install the gedit-bugreport.sh script into /usr/lib/gedit-2 instead
        of /usr/lib/gedit/gedit-2.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Mar 2008 00:22:51 +0100

gedit (2.20.4-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 01 Dec 2007 17:07:03 +0100

gedit (2.20.3-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/80_from_svn_load_tool_property_correctly.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Oct 2007 11:26:58 +0200

gedit (2.20.1-2) unstable; urgency=low

  * debian/control.in:
    + Fix python-gtksourceview2 dependency to make gedit installable.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 10 Oct 2007 13:18:49 +0200

gedit (2.20.1-1) unstable; urgency=low

  [ Loic Minier ]
  * Drop useless gzip build-dep.

  [ Sebastian Dröge ]
  * New upstream release:
    + debian/control.in:
      - Update build dependencies and dependencies.
    + debian/patches/99_ltmain_as-needed.patch:
      - Updated for the new version.
  * debian/patches/80_from_svn_load_tool_property_correctly.patch:
    + Patch taken from Ubuntu/Upstream SVN to fix external tools loading
      there properties correctly. See Gnome bug #484318.
  * debian/control.in:
    + Build depend on libattr1-dev.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 30 Sep 2007 17:07:44 +0200

gedit (2.18.2-1) unstable; urgency=low

  [ Alan Baghumian ]
  * Added home page link to the description (Closes: #364806).

  [ Josselin Mouette ]
  * 99_ltmain_as-needed.patch: get --as-needed back to work.

  [ Loic Minier ]
  * New upstream stable release; bug fixes and translations.

 -- Loic Minier <lool@dooz.org>  Thu, 05 Jul 2007 14:06:44 +0200

gedit (2.18.1-1) unstable; urgency=low

  * Set LDFLAGS directly instead of via DEB_CONFIGURE_SCRIPT_ENV; build-dep on
    cdbs >= 0.4.41.
  * Don't overwrite DEB_CONFIGURE_EXTRA_FLAGS.
  * Upload to unstable; drop check-dist include.
  * Wrap build-deps and deps.
  * Bump up Debhelper compatibility level to 5.
    - Remove bogus /usr/lib/gedit-2/plugins/*.py from gedit.install.
  * Add some ${misc:Depends}.
  * Cleanups.
  * New upstream release; no API change.
    - Build-depend on gzip.

 -- Loic Minier <lool@dooz.org>  Thu, 26 Apr 2007 10:34:19 +0200

gedit (2.18.0-1) experimental; urgency=low

  * New upstream release:
    + debian/control: Add build-deps on libenchant-dev and iso-codes, which
      are now needed for spell-checking.
    + debian/patches/21_armenian-aspell.patch: Dropped, obsolete after switch
      to libenchant
    + debian/patches/30_mmap-handle-sigbus.patch: Dropped, included upstream.
    + Added support for a notification if an opened file was changed on disk,
      allowing to ignore the message or reload the file. (Closes: 382066)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 25 Mar 2007 19:56:42 +0200

gedit (2.16.2-4) experimental; urgency=low

  * Bump up the Replaces merged in 2.16.2-3 to << 2.16.2-3; thanks
    Frédéric Péters.

 -- Loic Minier <lool@dooz.org>  Mon, 12 Mar 2007 10:27:02 +0100

gedit (2.16.2-3) experimental; urgency=low

  [ Sven Arvidsson ]
  * Merge 2.14.4-9.
  * Move developers reference manual from -common to -dev.
    - gedit-dev replaces gedit-common (<< 2.16.2-3)

  [ Loic Minier ]
  * Merge the final bits of 2.14.4-3 and up to version 2.14.4-8.
    - Drop patch 10_double-key-events-breaks-xim, merged upstream.
    - Drop patch debian/patches/20_arabic-aspell.patch, merged upstream.

 -- Loic Minier <lool@dooz.org>  Sat, 10 Mar 2007 21:19:20 +0100

gedit (2.16.2-2) experimental; urgency=low

  [ Loic Minier ]
  * Bump up gedit deps to follow Python build-deps as running with pygtk 2.8
    causes crashes: python-gnome2-desktop >= 2.15.90, python-gtk2 >= 2.9.7,
    python-glade2 >= 2.9.7; closes: #409665.
  * Add a get-orig-source target to retrieve the upstream tarball.
  * Add an epoch to the libgnomevfs2-dev build-dep; closes: #409607.
  * Include the new check-dist Makefile to prevent accidental uploads to
    unstable; bump build-dep on gnome-pkg-tools to >= 0.10.

  [ Sven Arvidsson ]
  * Recommend libgnomevfs2-bin, zenity and python-gnome2 required for
    external tools (Closes: #388007)

  [ Loic Minier ]
  * Add a bogus libbonobo2-dev >= 2.15.0 build-dep for experimental buildds.

 -- Loic Minier <lool@dooz.org>  Sun,  4 Feb 2007 18:44:54 +0100

gedit (2.16.2-1) experimental; urgency=low

  * New upstream release.
  * 70_relibtoolize.patch: removed, unneeded now the libs are cleaned
    up with clean-la.mk.
  * Bump build-dependencies appropriately.
  * Remove build-dependency on libgnome-keyring.
  * Use gnome:Version and NextVersion for gedit-dev as well.
  * Bump versions for gedit-dev dependencies.
  * pycompat: removed, obsolete.
  * rules: remove call to dh_python.
  * rules, gedit-common.install: move icon installation to dh_install.

 -- Josselin Mouette <joss@debian.org>  Sun, 19 Nov 2006 19:14:30 +0100

gedit (2.14.4-9) unstable; urgency=medium

  [ Sven Arvidsson ]
  * Move desktop launcher from gedit-common to gedit
    - Add recommends gedit to gedit-common.
    - gedit replaces gedit-common (<< 2.14.4-9)
    (Closes: #413948)

  [ Loic Minier ]
  * Urgency medium.

 -- Loic Minier <lool@dooz.org>  Sat, 10 Mar 2007 20:52:36 +0100

gedit (2.14.4-8) unstable; urgency=medium

  * Update patch 30_mmap-handle-sigbus to also pull SVN r5510; thanks Paolo
    Borelli.

 -- Loic Minier <lool@dooz.org>  Tue, 27 Feb 2007 15:48:06 +0100

gedit (2.14.4-7) unstable; urgency=medium

  * New patch, 30_mmap-handle-sigbus, to handle SIGBUS properly which might be
    triggered after I/O errors in mmap()ed files; backported from SVN r5511;
    see GNOME #354046.

 -- Loic Minier <lool@dooz.org>  Mon, 26 Feb 2007 17:15:12 +0100

gedit (2.14.4-6) unstable; urgency=low

  * Add a get-orig-source target to retrieve the upstream tarball.
  * New patch, 21_armenian-aspell, to support Armenian in the aspell plugin;
    thanks Alan Baghumian; closes: #406794.

 -- Loic Minier <lool@dooz.org>  Sun, 14 Jan 2007 10:51:40 +0100

gedit (2.14.4-5) unstable; urgency=low

  * New patch, 20_arabic-aspell, to support Arabic in the aspell plugin;
    thanks Mohammed Sameer; closes: #403710.

 -- Loic Minier <lool@dooz.org>  Tue, 19 Dec 2006 10:56:55 +0100

gedit (2.14.4-4) unstable; urgency=low

  * Update patch 10_double-key-events-breaks-xim with the final upstream fix;
    closes: #374640.

 -- Loic Minier <lool@dooz.org>  Sun,  3 Dec 2006 13:20:33 +0100

gedit (2.14.4-3) unstable; urgency=medium

  [ Josselin Mouette ]
  * Require gnome-pkg-tools 0.6.
  * Use ${gnome:Version} and ${gnome:NextVersion}.
  * Include the gnome-versions.mk snippet.

  [ Loic Minier ]
  * Change description to be "official text editor of the GNOME desktop
    environment" instead of "light-weight text editor"; thanks Tshepang
    Lekhonkhobe.
  * New patch, 10_double-key-events-breaks-xim, to fix double sending of
    keypress X events which broke XIM; from GNOME #376750; closes: #374640.

 -- Loic Minier <lool@dooz.org>  Sat, 25 Nov 2006 17:41:27 +0100

gedit (2.14.4-2) unstable; urgency=low

  * Python support.
    - Build-depend on python (>= 2.3), python-dev, python-gtk2-dev (>= 2.8.0),
      python-gnome2-desktop-dev (>= 2.13.3), python-support (>= 0.3).
    - Bump up Debhelper build-dep to 5.0.37.2.
    - Set Python compatibility level to 2.
    - Add XS-Python-Version with ">= 2.3".
    - Add XB-Python-Version to gedit.
    - Add a dh_pysupport call in binary-install/gedit, and pass
      "/usr/lib/gedit-2/plugins" as a private module directory; add a
      dh_python as well.
    - From /usr/lib/gedit-2/plugins/, install *.py; from
      /usr/lib/gedit-2/plugins/snippets and /externaltools, install *.py and
      *.glade.
    - Let gedit Depend on python-gnome2-desktop, python-gtk2, python-glade2,
      ${python:Depends}.

 -- Loic Minier <lool@dooz.org>  Wed, 30 Aug 2006 22:50:17 +0200

gedit (2.14.4-1) unstable; urgency=low

  * New upstream release; no API changes.
    - Relibtoolize.
  * Fix watch file.
  * Drop obsolete build-deps on libbonoboui2-dev, libeel2-dev, and libpopt-dev
    thanks Daniel Holbach.
  * Drop obsolete dep on libeel2-dev of gedit-dev, thanks Daniel Holbach.
  * Set Maintainer to the Debian GNOME team.
  * Bump up Standards-Version to 3.7.2.

 -- Loic Minier <lool@dooz.org>  Wed, 30 Aug 2006 17:16:10 +0200

gedit (2.14.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Make the package binNMU-safe.
    + Build-depend on dpkg-dev 1.13.19.
    + Use ${source:Version}.

  [ Loic Minier ]
  * Stop shipping *.la files in gedit-dev.
    [debian/gedit-dev.install]
  * New upstream release.
    - Relibtoolize and rename relibtoolizing patch.
      [debian/patches/01_relibtoolise.patch,
       debian/patches/70_relibtoolize.patch]
  * Permit installation of gedit-dev after binNMUs too by using ">="
    ${Source-Version} instead of a strict "=".
    [debian/control, debian/control.in]

 -- Loic Minier <lool@dooz.org>  Mon, 29 May 2006 21:23:49 +0200

gedit (2.14.2-1) unstable; urgency=low

  * New upstream release.
  * [debian/patches/01_relibtoolise.patch] Updated.
  * [debian/rules] Link --as-needed.
  * [debian/control.in] Added gnome-doc-utils build dependency; tightened
    gtk, libgnomeui and gnome-vfs build dependency per configure.ac .
  * [debian/gedit.install] Dropped references to /usr/lib/bonobo .

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 29 Apr 2006 14:04:54 +0200

gedit (2.12.1-2) unstable; urgency=low

  [ Loic Minier ]
  Loic Minier <lool@dooz.org>:
  * Update watch file. [debian/watch]

  J.H.M. Dassen (Ray) <jdassen@debian.org>:
  * [debian/patches/01_relibtoolise.patch] Added to remove unused direct
    library dependencies.

  [ Josselin Mouette ]
  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Sun,  8 Jan 2006 15:00:23 +0100

gedit (2.12.1-1) experimental; urgency=low

  * New upstream version.

 -- Sebastien Bacher <seb128@debian.org>  Mon, 24 Oct 2005 14:53:45 +0200

gedit (2.10.5-2) unstable; urgency=low

  * Move alternatives handling from gedit-common to gedit and make
    gedit conflict with past gedit-common thanks to piuparts, Lars Wirzenius
    and Josselin Mouette. (Closes: #328310) [debian/control,
    debian/control.in, debian/gedit-common.postinst,
    debian/gedit-common.prerm, debian/gedit.postinst, debian/gedit.prerm]

 -- Loic Minier <lool@dooz.org>  Thu, 15 Sep 2005 22:32:52 +0200

gedit (2.10.5-1) unstable; urgency=low

  * New upstream release.
  * No NEWS in this release. [debian/gedit.docs]
  * Use copyright and license appropriately. [debian/copyright]
  * Update FSF address. [debian/copyright]

 -- Loic Minier <lool@dooz.org>  Mon, 12 Sep 2005 22:24:31 +0200

gedit (2.10.4-1) unstable; urgency=low

  * New upstream release.
  * Add CDBS' utils.
  * Bump up pspell build-dep to switch back to libaspell15.

 -- Loic Minier <lool@dooz.org>  Sat,  6 Aug 2005 17:39:36 +0200

gedit (2.10.3-4) unstable; urgency=low

  [ Loic Minier ]
  * Don't link with "--as-needed" as it migh break dlopening plugins.
    [debian/rules]
  * Bump libpspell-dev build-dep for the C++ transition.

  [ Josselin Mouette ]
  * Don't overwrite DEB_CONFIGURE_SCRIPT_ENV completely. [debian/rules]

 -- Loic Minier <lool@dooz.org>  Mon, 11 Jul 2005 22:52:47 +0200

gedit (2.10.3-2) unstable; urgency=low

  * Fix typo in postinst and prerm.
    [debian/gedit-common.postinst, debian/gedit-common.prerm]
  * Remove dependency of gedit-common gedit, remobe obsolete "Replaces:".
    [debian/control, debian/control.in]
  * Bump Standards-Version to 3.6.2, no change needed.

 -- Loic Minier <lool@dooz.org>  Fri, 24 Jun 2005 19:02:19 +0200

gedit (2.10.3-1) unstable; urgency=high

  * New upstream release.
    - [SECURITY: CAN-2005-1686] format string vulnerability and DoS.
    - 2.10 no longer loses data when saving in UTF-16 (closes: #261622).
    - retains spellchecking options (closes: #271849).
    - allows changing the cursor colour (closes: #283158).
  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Wed,  8 Jun 2005 21:50:30 +0200

gedit (2.10.2-2) experimental; urgency=low

  * Josselin Mouette:
    - Updated debian/watch.
  * Loic Minier and Sebastien Bacher:
    - Merge changes from 2.8.3-4.

 -- Loic Minier <lool@dooz.org>  Thu,  2 Jun 2005 01:00:48 +0200

gedit (2.10.2-1) experimental; urgency=low

  * New upstream release.
  * Bump build-dependencies appropriately.
  * 01_relibtoolize.patch: dropped.
  * Pass --as-needed to ld.

 -- Josselin Mouette <joss@debian.org>  Thu, 14 Apr 2005 19:58:18 +0200

gedit (2.8.3-4) unstable; urgency=low

  * Ship Bonobo Activation Server file for Gedit that was lost in 2.8.2-3 and
    simplify file lists for the gedit and gedit-common packages; also ship all
    plugins again and some usual files.  (Closes: #311374)
    [debian/gedit.install, debian/gedit-common.install]

 -- Loic Minier <lool@dooz.org>  Tue, 31 May 2005 20:54:03 +0200

gedit (2.8.3-3) unstable; urgency=medium

  * GNOME Team upload.
  * gedit-dev package needs to depend on libgnomeprintui2.2-dev,
    libgtksourceview-dev, libgnomeui-dev, libglade2-dev, libeel2-dev
  * Urgency medium as the above fixes a non-filled RC bug in Sarge package.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri,  1 Apr 2005 20:33:04 +0200

gedit (2.8.3-2) unstable; urgency=low

  * Build depend on pspell >= 0.60 since it's incompatible with the
    previous 0.55 release (closes: #295901)

 -- Loic Minier <lool@dooz.org>  Sat, 19 Feb 2005 11:40:51 +0100

gedit (2.8.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/00_intltoolize.patch: dropped (upstream intltoolized)
  * debian/patches/01_relibtoolize.patch: updated
  * debian/patches/02_cursor-color.patch: dropped (not applicable anymore)

 -- Loic Minier <lool@dooz.org>  Sat, 12 Feb 2005 21:18:34 +0100

gedit (2.8.2-4) unstable; urgency=low

  * debian/patches/00_intltoolize.patch: added
  * debian/patches/01_relibtoolize.patch: renamed and updated
  * debian/patches/02_cursor-color.patch: fix cursor color on dark
    backgrounds
  * debian/*: various cleanups
  * debian/gedit.lintian: lintian override for gedit
  * debian/copyright: updated
  * set myself as Maintainer
  * debian/control: reverted intltool of -2

 -- Loic Minier <lool@dooz.org>  Sat, 12 Feb 2005 17:14:08 +0100

gedit (2.8.2-3) unstable; urgency=low

  * debian/control.in:
    - added cdbs to Build-Depends.
    - create a gedit-dev package for devel files (closes: #283574).
  * debian/gedit.install:
    - install changecase plugin.
  * debian/patches/01_relibtoolise.patch:
    - switched from dpatch to a simple patch.
  * debian/rules:
    - switched to CDBS, should be policy compliant again (closes: #289890)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 26 Jan 2005 21:57:16 +0100

gedit (2.8.2-2) unstable; urgency=low

  * add intltool to the build-deps and hence remove libxml-parser-perl
    since intltool depends on it and will automagically change the Perl
    code in intltool-merge.in

 -- Loic Minier <lool@dooz.org>  Wed, 19 Jan 2005 19:05:41 +0100

gedit (2.8.2-1) unstable; urgency=low

  * GNOME team upload.
  * New upstream release.
  * debian/patches/01_relibtoolise.dpatch: updated.

 -- Jordi Mallach <jordi@debian.org>  Wed, 29 Dec 2004 17:56:50 +0100

gedit (2.8.1-3) unstable; urgency=low

  * GNOME team upload.
  * Upload to unstable.
  * debian/rules: don't symlink config.{sub,guess} on clean to allow
    builds from SVN.
  * debian/control.in: bump libgnomeui and gtksourceview requirements.

 -- Jordi Mallach <jordi@debian.org>  Mon, 22 Nov 2004 00:27:55 +0100

gedit (2.8.1-2) experimental; urgency=low

  * GNOME team upload
  * debian/control.in: build-depend on debhelper (>= 4.2.23) for
    dh_desktop support.
  * debian/rules: add a call to dh_desktop to register MIME types.
  * debian/gedit.postinst: don't call update-mime-database by hand,
    handled by dh_desktop.

 -- Jordi Mallach <jordi@irati.invalid>  Tue,  9 Nov 2004 13:13:40 +0100

gedit (2.8.1-1) experimental; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 11 Oct 2004 18:08:40 +0200

gedit (2.8.0-1) experimental; urgency=low

  * New upstream release.
  * [debian/patches/01_relibtoolise.dpatch] Updated. Don't patch
    config.{sub,guess} as debian/rules takes care of updating them.
    (Closes: #267288)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 13 Sep 2004 18:54:52 +0200

gedit (2.7.92-1) experimental; urgency=low

  * New upstream development release.
  * [debian/patches/01_relibtoolise.dpatch] Updated. (Closes: #267288)
  * [debian/patches/02_finnish_dict.dpatch] Dropped; this has been integrated
    upstream.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 31 Aug 2004 21:56:58 +0200

gedit (2.7.90-1) experimental; urgency=low

  * New upstream development release.
  * [debian/patches/01_relibtoolise.dpatch] Updated.
  * [debian/rules] Ensure at build time that the library dependencies are
    complete.
  * [debian/gedit.postinst] Register with the new GNOME MIME system.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 14 Aug 2004 12:54:22 +0200

gedit (2.6.2-1) unstable; urgency=low

  * GNOME Team Upload.
  * New upstream release.
  * debian/control.in:
    - added dpatch to the Build-Depends.
  * debian/patches/01_relibtoolise.dpatch:
    - patch to reduce inflated dependencies (Closes: #243002).
  * debian/patches/02_finnish_dict.dpatch:
    - added the finnish dictionnary to the list of supported languages
      (Closes: #263391).
  * debian/rules:
    - use dpatch.

 -- Sebastien Bacher <seb128@debian.org>  Thu,  5 Aug 2004 12:23:49 +0200

gedit (2.6.1-1) unstable; urgency=low

  * GNOME Team Upload.
  * New Upstream Release.

 -- Sebastien Bacher <seb128@debian.org>  Sun, 30 May 2004 12:52:45 +0200

gedit (2.6.0-3) unstable; urgency=low

  * GNOME Team Upload.
  * Upload in unstable.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 27 May 2004 20:04:25 +0200

gedit (2.6.0-2) experimental; urgency=low

  Sebastien Bacher <seb128@debian.org>
  * GNOME Team Upload to fix the FTBFS due to missing Build-Depends.
  J.H.M. Dassen (Ray) <jdassen@debian.org>
  * [debian/control.in] Added missing build dependency on libxml-parser-perl.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 16 Apr 2004 00:45:37 +0200

gedit (2.6.0-1) experimental; urgency=low

  * New upstream release.
  * debian/rules:
    + Add dh_scrollkeeper call, and remove scrollkeeper call from
      gedit's postinst
    + ditto for dh_gconf
    + Make everything install into debian/tmp and copy selectively out of
      that
  * debian/control:
    + Update Build-Depends for GNOME 2.6 versions of libraries required;
      also, update debhelper to >= 4.1.84 to ensure we have dh_scrollkeeper
      and dh_gconf
    + Split package into two: gedit and gedit-common, the latter of which
      contains architecture-independent files like translations, omf files
      and pixmaps (Closes: Bug#233355)
  * Rename debhelper files to gedit.filename.
  * Replace xpm icon for gedit's Debian menu entry with better one provided
    by mcINEK <kaioshin@gazeta.pl>. Thanks! (Closes: Bug#192601)

 -- Joe Drew <drew@debian.org>  Wed, 31 Mar 2004 21:48:39 -0500

gedit (2.4.1-2) unstable; urgency=low

  * debian/control:
    + Add GNOME team to Uploaders
    + Correct spelling mistake in description
    + Add gnome-pkg-tools to Build-Depends
  * debian/rules:
    + Remove include files and .pc file from package; nobody uses them.
      Closes: Bug#221732

 -- Joe Drew <drew@debian.org>  Tue, 30 Mar 2004 20:42:26 -0500

gedit (2.4.1-1) unstable; urgency=low

  * The "No more complaining" release, part 1.
    (Subtitled: gtksourceview for everyone)
  * New upstream release, part of GNOME 2.4 (Closes: Bug#217876)
    + Now links only against libgnutls7 (Closes: Bug#213219)
    + From my muddled look at the Finnish translation, the translation of
      'Tab' is now correct. Please re-open if I'm wrong :)
      (Closes: Bug#210454)
    + There are no longer GdkPixbuf errors on start-up (Closes: Bug#214171)
  * Update config.{guess,sub}
  * debian/control:
    + Update Build-Depends for GNOME 2.4 libraries and gtksourceview
    + Update Standards-Version to 3.6.1
  * debian/rules:
    + Properly support DEB_BUILD_OPTIONS

 -- Joe Drew <drew@debian.org>  Tue,  4 Nov 2003 15:00:44 -0500

gedit (2.2.1-2) unstable; urgency=low

  * Build-Depends on scrollkeeper. Pre-empting FTBFS bugs.

 -- Joe Drew <drew@debian.org>  Sat, 15 Mar 2003 19:00:29 -0500

gedit (2.2.1-1) unstable; urgency=low

  * New upstream release, part of GNOME 2.2.1.

 -- Joe Drew <drew@debian.org>  Sat, 15 Mar 2003 14:51:18 -0500

gedit (2.2.0.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: Rewrite description and make debhelper Build-Depends
    versioned

 -- Joe Drew <drew@debian.org>  Fri, 28 Feb 2003 17:54:05 -0500

gedit (2.1.91-1) unstable; urgency=low

  * New upstream release

 -- Joe Drew <drew@debian.org>  Tue, 21 Jan 2003 20:25:45 -0500

gedit (2.1.6-2) unstable; urgency=low

  * debian/control:
    + Update Build-Depends for libgnomevfs2-dev to >= 2.1.91-1, since we
      require a GNOME 2 gnomevfs

 -- Joe Drew <drew@debian.org>  Mon, 20 Jan 2003 16:01:39 -0500

gedit (2.1.6-1) unstable; urgency=low

  * New upstream release, a prerelease for GNOME 2.2
  * debian/control:
    + Add Build-Depends for libpspell-dev
    + Add Build-Depends for libpopt-dev (just a failsafe)
    + Update Standards-Version to 3.5.8
  * debian/rules:
    + Updates for Standards-Version 3.5.8

 -- Joe Drew <drew@debian.org>  Mon, 20 Jan 2003 00:20:04 -0500

gedit (2.0.6-1) unstable; urgency=low

  * The 'Three IBM hard drives fail in two years. I'm sensing a pattern.'
    release.
  * New upstream release.

 -- Joe Drew <drew@debian.org>  Sun,  1 Dec 2002 15:07:28 -0500

gedit (2.0.5-1) unstable; urgency=low

  * The 'rising back into horrible unlife' release.
  * New upstream release
    * Closes: Bug#154797 -- German translation: translator credits translated
                            correctly ;)
  * Acknowledge NMU - thanks, David! (Closes: Bug#156892, Bug#154575)
  * Include Mikael Hedin's properly-sized gedit xpm icon. (Closes: Bug#155966)

 -- Joe Drew <drew@debian.org>  Sat,  5 Oct 2002 18:23:30 -0400

gedit (2.0.2-2.1) unstable; urgency=low

  * NMU.
  * Recompiled against libgtk2.0-0png3 because of png2->png3 transition.
  * We don't a need a Build-Depends on libssl-dev now; closes: #154575.

 -- Davide Puricelli (evo) <evo@debian.org>  Thu, 15 Aug 2002 23:51:59 +0200

gedit (2.0.2-2) unstable; urgency=low

  * Change menu file icon to an XPM.

 -- Joe Drew <drew@debian.org>  Sat, 27 Jul 2002 16:07:26 -0400

gedit (2.0.2-1) unstable; urgency=low

  * New upstream release
    * Closes: Bug#147453 -- gedit can't open a file beginning with %

 -- Joe Drew <drew@debian.org>  Fri, 26 Jul 2002 08:12:31 -0400

gedit (2.0.1-1) unstable; urgency=low

  * New upstream release
  * Added libeel2-dev to build-depends, as upstream requires it now
  * Change static link to gnome-text-editor created by `make install' to an
    alternatives link.

 -- Joe Drew <drew@debian.org>  Tue, 23 Jul 2002 18:25:35 -0400

gedit (2.0.0-1) unstable; urgency=low

  * New upstream release, based on GNOME 2 libraries. Repackaged
    with dh_make.

 -- Joe Drew <drew@debian.org>  Sun, 21 Jul 2002 21:51:21 -0400

gedit (0.9.6-4) unstable; urgency=low

  * Change /usr/share/doc/gedit/html to be an absolute link
    to /usr/gnome/help/gedit/C (which is technically against
    policy, but causes problems for people in real world
    situations.)
    Closes: Bug#84067, Bug#97631
  * Correct typos in description (Closes: Bug#124664)
  * Modify plugins' Makefile.am to add EXTRA_GNOME_CFLAGS,
    which is necessary since libglade moved its header files.
    Also re-ran automake.

 -- Joe Drew <drew@debian.org>  Sun, 13 Jan 2002 02:13:27 -0500

gedit (0.9.6-3) unstable; urgency=low

  * Updating config.{sub,guess} for hppa/ia64 (Closes: Bug#104810)

 -- Joe Drew <drew@debian.org>  Sun, 15 Jul 2001 14:53:50 -0400

gedit (0.9.6-2) unstable; urgency=low

  * I am an idiot. Actually applied multibyte patch (Closes: Bug#90952)

 -- Joe Drew <drew@debian.org>  Sat, 28 Apr 2001 22:43:02 -0400

gedit (0.9.6-1) unstable; urgency=low

  * New upstream release
  * Fixed where INSTALL_PROGRAM gets used in the rules file for
    DEB_BUILD_OPTIONS.
  * Corrected transposition of letters in description (Closes: Bug#92306)
  * Applied multibyte patch (Closes: Bug#90952)
  * Rebuilt with libgnomeprint15 (Closes: Bug#94427)

 -- Joe Drew <drew@debian.org>  Mon, 23 Apr 2001 23:22:30 -0400

gedit (0.9.4-2) unstable; urgency=low

  * New maintainer (Closes: Bug#84521)
  * Can't reproduce bug, but put in preventative directory entries into
    deb file which should stop this from happening (Closes: Bug#84067)
  * Upgraded standards version to 3.5.2, implemented DEB_BUILD_OPTIONS

 -- Joe Drew <drew@debian.org>  Wed, 28 Feb 2001 22:49:39 -0500

gedit (0.9.4-1) unstable; urgency=low

  * New maintaner for this package (closes: #80313).
  * New upstream release (closes: #52404).
  * Updated to Standards-Version 3.2.1.
  * Changed: debian/{control, copyright, rules}.
  * Closes: #33280, #51421, #52246, #58375, #66869, #69858, #77409.
  * Added icon in xpm format.
  * Upload sponsored by Bas Zoetekouw <bas@debian.org>.

 -- Mariusz Przygodzki <dune@home.pl>  Mon,  1 Jan 2001 15:53:38 +0100

gedit (0.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <stu@novare.net>  Wed,  9 Aug 2000 14:19:08 -0400

gedit (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <stu@novare.net>  Sun, 16 Jan 2000 21:12:18 -0500

gedit (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <stu@novare.net>  Sat, 27 Nov 1999 14:24:18 -0500

gedit (0.5.4-1) unstable; urgency=low

  * Fixed Bug#46351: gedit crashes on startup.
  * Closes: bug#46351

 -- Robert S. Edmonds <stu@novare.net>  Thu, 30 Sep 1999 20:37:40 -0400

gedit (0.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <stu@novare.net>  Sat, 12 Jun 1999 15:53:50 -0400

gedit (0.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <stu@novare.net>  Mon, 17 May 1999 20:17:13 -0400

gedit (0.5.1-2) unstable; urgency=low

  * GNOME staging area upload.

 -- Robert S. Edmonds <stu@novare.net>  Thu,  4 Mar 1999 18:44:09 -0500

gedit (0.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <stu@novare.net>  Sun, 28 Feb 1999 16:34:29 -0500

gedit (0.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <stu@novare.net>  Sat,  6 Feb 1999 14:07:48 -0500

gedit (0.4.9-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <stu@novare.net>  Thu,  4 Feb 1999 17:51:51 -0500

gedit (0.4.8-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <stu@novare.net>  Sun, 10 Jan 1999 16:40:00 -0500

gedit (0.3.2-2) unstable frozen; urgency=low

  * Debian changelog file is now included in the package.
  * gedit is now more stable than previous versions and fixes some nasty
  * bugs.

 -- Robert S. Edmonds <edmonds@freewwweb.com>  Sat, 11 Apr 1998 17:26:53 -0400

gedit (0.3.2-1) unstable; urgency=low

  * New upstream release.
  * Manpage included! No longer links to the undocumented manpage.

 -- Robert S. Edmonds <edmonds@freewwweb.com>  Mon,  6 Apr 1998 11:35:06 -0400

gedit (0.3.1-2) unstable frozen; urgency=low

  * Now gedit manpage links to the undocumented manpage.

 -- Robert S. Edmonds <edmonds@freewwweb.com>  Mon, 30 Mar 1998 19:36:44 -0500

gedit (0.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <edmonds@freewwweb.com>  Sun, 29 Mar 1998 17:03:32 -0500

gedit (0.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <edmonds@freewwweb.com>  Thu, 26 Mar 1998 19:43:41 -0500

gedit (0.2.1-1) unstable; urgency=low

  * Initial Release.

 -- Robert S. Edmonds <edmonds@freewwweb.com>  Mon,  9 Mar 1998 17:24:56 -0500
